> ## Documentation Index
> Fetch the complete documentation index at: https://docs.answeringagent.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Location

> Get details of a specific location



## OpenAPI

````yaml /openapi.yaml get /locations/{location_id}
openapi: 3.0.0
info:
  title: Answering Agent API
  description: API for Answering Agent platform
  version: 1.0.0
servers:
  - url: https://answeringagent.com/api/v1
    description: Production API
  - url: https://playground.answeringagent.com/api/v1
    description: Playground API
security: []
paths:
  /locations/{location_id}:
    get:
      tags:
        - Locations
      summary: Get Location
      description: Get details of a specific location
      operationId: getLocation
      parameters:
        - in: path
          name: location_id
          required: true
          schema:
            type: integer
          description: The ID of the location
      responses:
        '200':
          description: Location details
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Location'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '404':
          description: Location not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: Location not found
      security:
        - ApiKeyAuth: []
components:
  schemas:
    Location:
      type: object
      properties:
        id:
          type: integer
        name:
          type: string
        phone_number:
          type: string
          nullable: true
        status:
          type: string
          enum:
            - pending
            - active
        address:
          type: string
          nullable: true
        google_place_id:
          type: string
          nullable: true
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
  responses:
    Unauthorized:
      description: Missing or invalid API key
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: string
                example: API key is required
                enum:
                  - API key is required
                  - Invalid credentials
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY

````